wordpress文章链接使用文章名固定链接

nginx的conf 配置:

【参考:https://codex.wordpress.org/Nginx】

wordpress——Unable to locate WordPress root directory

升级wordpress时,可能会遇到如下提示:

解决方法:

编辑wordpress项目根目录下的wp-config.php文件,在末尾加上如下代码:

 

wordpress使用阿里云OSS功能

Aliyun OSS support plugin for wordpress (ver: 2.0)


前文接 基于阿里云OSS的WordPress远程附件支持插件——阿里云附件(Aliyun Support)(修订版)

随着使用,发现这个插件有几个比较严重的问题,改动中代码结构也稍显混乱,于是花了点时间完全重写了这个插件。
继续阅读“wordpress使用阿里云OSS功能”

wordpress使用固定链接问题

若希望WORDPRESS采用如下的固定链接:

屏幕快照 2015-10-08 下午3.51.17

操作如下:

①开启mod_rewrite模块

在httpd.conf中,取消mod_rewrite前的注释

②允许使用override

在相对应的网站配置文件中,编辑如下的配置内容,

把其中的AllowOverride None改为:AllowOverride all

 

【参考:】http://ituibar.com/open-the-wampserver-mod_rewrite-module-supports-wordpress-fixed-link/

10 awesome things to do with cURL

cURL, and its PHP extension libcURL, are tools which can be used to simulate a web browser. In fact, it can for example, submit forms. In this article, I’m going to show you 10 incredible things that you can do using PHP and cURL.

Acknowledgments

New to cURL? If yes, check out the following articles to learn the purposes and basics of cURL/libcurl.

Please note that some of the techniques shown here can be used for “blackhat” methods. The goal of this article is only educationnal, please do not use any of the snippets below for illegal stuff. 继续阅读“10 awesome things to do with cURL”

wordpress之快速加载Google的ajax、fonts等资源

目的:

快速加载google 的fonts、ajax等资源

方法:

使用360提供的CDN加载Google资源,官网如下图,

屏幕快照 2015-01-22 下午6.16.40

屏幕快照 2015-01-22 下午6.16.58

【参考】:http://libs.useso.com

备注:可能有的代码中访问google的协议为https,但使用useso的资源时,要将协议改为http

附件:已更换使用useso资源的插件:revslider(version: 4.1.4)

tinymce编辑器之更新编辑器容器内的内容

需求:

在实例化编辑器(tinymce.init(…))后,会不时更换要编辑的内容。

处理方法:

网上有的提供代码: tinymce.setContent(...); ,但经测试,未成功(不知是不是tinymce版本问题)。

有效的代码: tinymce.activeEditor.setContent(...);

备注:使用的tinymce版本为4.1.7

【参考】

http://www.cnblogs.com/nkxyf/p/3883586.html

http://www.iwms.net/n2065c17.aspx

wordpress之import(导入)功能

问题:

使用WordPress的工具栏目中的导入(import)功能时,出现导入不成功,无任何提示现象。

截图:

import

 

分析原因:

php-xml扩展没装,导致WordPress无法解析XML文件。

解决方法:

安装php-xml。

注:

在centos服务器中,有时用yum安装时提示安装失败,因为某些Conflict冲突,如下图,

yum

 

说明安装的php-xml扩展与当前php版本不一致,如上图中的PHP版本为php54w,则,需尝试安装php54w-xml看是否成功。(一般会成功,不管你有没有成功,我是成功了)